Page MenuHomePhabricator

[ARM][llvm-objdump] Annotate PC-relative memory operands of VLDR instructions
ClosedPublic

Authored by ikudrin on Jul 14 2021, 7:23 AM.

Diff Detail

Event Timeline

ikudrin created this revision.Jul 14 2021, 7:23 AM
ikudrin updated this revision to Diff 358595.Jul 14 2021, 7:23 AM
ikudrin updated this revision to Diff 363398.Aug 2 2021, 1:38 AM
  • Fix Lint warnings

Ping.

MaskRay accepted this revision.Aug 3 2021, 8:38 PM
MaskRay added inline comments.
llvm/test/tools/llvm-objdump/ELF/ARM/literal-vldr-thumb2.s
5

llvm-objdump can detect the triple, so you can omit --triple

This revision is now accepted and ready to land.Aug 3 2021, 8:38 PM
ikudrin added inline comments.Aug 4 2021, 11:45 PM
llvm/test/tools/llvm-objdump/ELF/ARM/literal-vldr-thumb2.s
5

For some reason, if --triple is omitted, llvm-objdump fails to disassemble some instructions. In this test file, it can't handle nop, which breaks all instructions that follow.

This revision was landed with ongoing or failed builds.Aug 5 2021, 12:12 AM
This revision was automatically updated to reflect the committed changes.